package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 单位存款账户变动信息对象 tgjj_dwckzhbdxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjDwckzhbdxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 单位账号 */
    @Excel(name = "单位账号")
    private String DWZH;

    /** 记账日期 */
    @Excel(name = "记账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date JZRQ;

    /** 发生额 */
    @Excel(name = "发生额")
    private BigDecimal FSE;

    /** 发生利息额 */
    @Excel(name = "发生利息额")
    private BigDecimal FSLXE;

    /** 发生人数 */
    @Excel(name = "发生人数")
    private Long FSRS;

    /** 业务明细类型 */
    @Excel(name = "业务明细类型")
    private String YWMXLX;

    /** 汇补缴年月 */
    @Excel(name = "汇补缴年月")
    private String HBJNY;

    /** 业务流水号 */
    @Excel(name = "业务流水号")
    private String YWLSH;

    /** 冲账标识 */
    @Excel(name = "冲账标识")
    private String CZBZ;

    /** 单位账户余额 */
    @Excel(name = "单位账户余额")
    private BigDecimal DWZHYE;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDWZH(String DWZH)
    {
        this.DWZH = DWZH;
    }

    public String getDWZH()
    {
        return DWZH;
    }
    public void setJZRQ(Date JZRQ)
    {
        this.JZRQ = JZRQ;
    }

    public Date getJZRQ()
    {
        return JZRQ;
    }
    public void setFSE(BigDecimal FSE)
    {
        this.FSE = FSE;
    }

    public BigDecimal getFSE()
    {
        return FSE;
    }
    public void setFSLXE(BigDecimal FSLXE)
    {
        this.FSLXE = FSLXE;
    }

    public BigDecimal getFSLXE()
    {
        return FSLXE;
    }
    public void setFSRS(Long FSRS)
    {
        this.FSRS = FSRS;
    }

    public Long getFSRS()
    {
        return FSRS;
    }
    public void setYWMXLX(String YWMXLX)
    {
        this.YWMXLX = YWMXLX;
    }

    public String getYWMXLX()
    {
        return YWMXLX;
    }
    public void setHBJNY(String HBJNY)
    {
        this.HBJNY = HBJNY;
    }

    public String getHBJNY()
    {
        return HBJNY;
    }
    public void setYWLSH(String YWLSH)
    {
        this.YWLSH = YWLSH;
    }

    public String getYWLSH()
    {
        return YWLSH;
    }
    public void setCZBZ(String CZBZ)
    {
        this.CZBZ = CZBZ;
    }

    public String getCZBZ()
    {
        return CZBZ;
    }
    public void setDWZHYE(BigDecimal DWZHYE)
    {
        this.DWZHYE = DWZHYE;
    }

    public BigDecimal getDWZHYE()
    {
        return DWZHYE;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DWZH", getDWZH())
            .append("JZRQ", getJZRQ())
            .append("FSE", getFSE())
            .append("FSLXE", getFSLXE())
            .append("FSRS", getFSRS())
            .append("YWMXLX", getYWMXLX())
            .append("HBJNY", getHBJNY())
            .append("YWLSH", getYWLSH())
            .append("CZBZ", getCZBZ())
            .append("DWZHYE", getDWZHYE())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
